<html>
<head>
<title>OGRE: Ogre::ShadowVolumeExtrudeProgram Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html">ShadowVolumeExtrudeProgram</a></div>
<h1>Ogre::ShadowVolumeExtrudeProgram Class Reference</h1><!-- doxytag: class="Ogre::ShadowVolumeExtrudeProgram" -->Static class containing source for vertex programs for extruding shadow volumes.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ShadowVolumeExtrudeProgram-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623">Programs</a> { <br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623a3e7b73929a3898e4e75d8a6eb53d931">POINT_LIGHT</a> =  0, 
<a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623f4d3d45a57d9dfd4eb439e564305d0c5">POINT_LIGHT_DEBUG</a> =  1, 
<a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623be106ce64f87c499f0f9795d8f179fb4">DIRECTIONAL_LIGHT</a> =  2, 
<a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623b88033d4c3fef76acf231db879dd33a5">DIRECTIONAL_LIGHT_DEBUG</a> =  3, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623a6524c3c7c49f7f93c684cfa3e9f9843">POINT_LIGHT_FINITE</a> =  4, 
<a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a6238b6fc01b15aa39d9fb62e07a6673b225">POINT_LIGHT_FINITE_DEBUG</a> =  5, 
<a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a6232caab40e2442c76f90b6942629ece2a8">DIRECTIONAL_LIGHT_FINITE</a> =  6, 
<a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a6234c4ad12515f7a0d2478e9d1b4713ea88">DIRECTIONAL_LIGHT_FINITE_DEBUG</a> =  7
<br>
 }</td></tr>

<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#4ee5e5d594c0cc21e0cff0ab8eb42aa7">initialise</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialise the creation of these vertex programs.  <a href="#4ee5e5d594c0cc21e0cff0ab8eb42aa7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#983865fbfd1570a76fcfb9dfd5dcf985">shutdown</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Shutdown &amp; destroy the vertex programs.  <a href="#983865fbfd1570a76fcfb9dfd5dcf985"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#53d30e4fc8035c45edcbfeec3d542425">getPointLightExtruderArbvp1</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get extruder program source for point lights, compatible with arbvp1.  <a href="#53d30e4fc8035c45edcbfeec3d542425"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#c113d70239242bfee84986a8a9b804cd">getPointLightExtruderVs_1_1</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get extruder program source for point lights, compatible with vs_1_1.  <a href="#c113d70239242bfee84986a8a9b804cd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#c050f98eb30595ce944e14684abf41e5">getDirectionalLightExtruderArbvp1</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get extruder program source for directional lights, compatible with arbvp1.  <a href="#c050f98eb30595ce944e14684abf41e5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#c5e595c3758db6d51170c18c1a07b55f">getDirectionalLightExtruderVs_1_1</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get extruder program source for directional lights, compatible with vs_1_1.  <a href="#c5e595c3758db6d51170c18c1a07b55f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#08462c312f24ebdcb85b01d9216de81a">getPointLightExtruderArbvp1Debug</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get extruder program source for debug point lights, compatible with arbvp1.  <a href="#08462c312f24ebdcb85b01d9216de81a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#8f9515284435138237cb10953343fb16">getPointLightExtruderVs_1_1Debug</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get extruder program source for debug point lights, compatible with vs_1_1.  <a href="#8f9515284435138237cb10953343fb16"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#588fe455365043a2753f5a1bda5925e6">getDirectionalLightExtruderArbvp1Debug</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get extruder program source for debug directional lights, compatible with arbvp1.  <a href="#588fe455365043a2753f5a1bda5925e6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#c455c2d8ffccf239ab7710b7256e1c34">getDirectionalLightExtruderVs_1_1Debug</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get extruder program source for debug directional lights, compatible with vs_1_1.  <a href="#c455c2d8ffccf239ab7710b7256e1c34"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#3b22127c9818da8528b752fdf60116fc">getProgramSource</a> (<a class="el" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc">Light::LightTypes</a> lightType, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> syntax, bool finite, bool debug)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">General purpose method to get any of the program sources.  <a href="#3b22127c9818da8528b752fdf60116fc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#6ae520c51786dd71db12fea75eebe85c">getProgramName</a> (<a class="el" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc">Light::LightTypes</a> lightType, bool finite, bool debug)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#abfe751eb718a9640c288990b69dc2d9">getPointLightExtruderArbvp1Finite</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get FINITE extruder program source for point lights, compatible with arbvp1.  <a href="#abfe751eb718a9640c288990b69dc2d9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b49594367aab6c943d4d83d6c64de771">getPointLightExtruderVs_1_1Finite</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get FINITE extruder program source for point lights, compatible with vs_1_1.  <a href="#b49594367aab6c943d4d83d6c64de771"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#990ce03657ecc3772f87039f61f43b70">getDirectionalLightExtruderArbvp1Finite</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get FINITE extruder program source for directional lights, compatible with arbvp1.  <a href="#990ce03657ecc3772f87039f61f43b70"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#0b891cb31debd7097ec72bea940a111c">getDirectionalLightExtruderVs_1_1Finite</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get FINITE extruder program source for directional lights, compatible with vs_1_1.  <a href="#0b891cb31debd7097ec72bea940a111c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a0b615596b5e701a0b1392cd1fb94236">getPointLightExtruderArbvp1FiniteDebug</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get FINITE extruder program source for debug point lights, compatible with arbvp1.  <a href="#a0b615596b5e701a0b1392cd1fb94236"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b90674080062ae986b08cf73e02284f4">getPointLightExtruderVs_1_1FiniteDebug</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get extruder program source for debug point lights, compatible with vs_1_1.  <a href="#b90674080062ae986b08cf73e02284f4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#933bdc6da08c8c7f604c544a1e15b004">getDirectionalLightExtruderArbvp1FiniteDebug</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get FINITE extruder program source for debug directional lights, compatible with arbvp1.  <a href="#933bdc6da08c8c7f604c544a1e15b004"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b47b4ba53a32ba5cadefff21c052504a">getDirectionalLightExtruderVs_1_1FiniteDebug</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get FINITE extruder program source for debug directional lights, compatible with vs_1_1.  <a href="#b47b4ba53a32ba5cadefff21c052504a"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#cc460f2fd05285222cc1e6b09d72ed66">programNames</a> [OGRE_NUM_SHADOW_EXTRUDER_PROGRAMS]</td></tr>

<tr><td colspan="2"><br><h2>Static Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b56197126793da3e040dc150b5fd1e06">mPointArbvp1</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#5051dc1085926275064659768aea467b">mPointVs_1_1</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#efc5b5ac5e3255ed2a465cbc905b3195">mDirArbvp1</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#401d91604ee4e8facae67f0c695f65d6">mDirVs_1_1</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#d20b614bd7f8d02b8ce4f7a6d9191110">mPointArbvp1Debug</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#1393918d3278e77c93bc97e9787335ab">mPointVs_1_1Debug</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#d47342225ab750f67c2d5f76ea215cae">mDirArbvp1Debug</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#9303cb3afe98547901fdb352989735af">mDirVs_1_1Debug</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#94c3eb59aea5b8e4e736f325a71093ea">mPointArbvp1Finite</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#efebfc24ddff4f30b0edd1e088f395d5">mPointVs_1_1Finite</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#107e11989da6a8c7e0ba15e96e954f7e">mDirArbvp1Finite</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#2e47f0ab069147cc872db91a4eeedc13">mDirVs_1_1Finite</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b1838186657204fbed0362c16ac25ec4">mPointArbvp1FiniteDebug</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#2eb9b8a45929da482315a49b8f0a1453">mPointVs_1_1FiniteDebug</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#0e442c11f0cce78264e19a4cb1ba16e4">mDirArbvp1FiniteDebug</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#d56bbecfb0db4059254fa8577e9ffc53">mDirVs_1_1FiniteDebug</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#44f9f4960f34af1c3c458ef0b3722e57">mInitialised</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Static class containing source for vertex programs for extruding shadow volumes. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This exists so we don't have to be dependent on an external media files. Assembler is used so we don't have to rely on particular plugins. The assembler contents of this file were generated from the following Cg: <div class="fragment"><pre class="fragment">        <span class="comment">// Point light shadow volume extrude</span>
        <span class="keywordtype">void</span> shadowVolumeExtrudePointLight_vp (
            float4 position         : POSITION,
            <span class="keywordtype">float</span>  wcoord           : TEXCOORD0,

            out float4 oPosition    : POSITION,

            uniform float4x4 worldViewProjMatrix,
            uniform float4   lightPos <span class="comment">// homogenous, object space</span>
            )
        {
            <span class="comment">// extrusion in object space</span>
            <span class="comment">// vertex unmodified if w==1, extruded if w==0</span>
            float4 newpos = 
                (wcoord.xxxx * lightPos) + 
                float4(position.xyz - lightPos.xyz, 0);

            oPosition = mul(worldViewProjMatrix, newpos);

        }

        <span class="comment">// Directional light extrude</span>
        <span class="keywordtype">void</span> shadowVolumeExtrudeDirLight_vp (
            float4 position         : POSITION,
            <span class="keywordtype">float</span>  wcoord           : TEXCOORD0,

            out float4 oPosition    : POSITION,

            uniform float4x4 worldViewProjMatrix,
            uniform float4   lightPos <span class="comment">// homogenous, object space</span>
            )
        {
            <span class="comment">// extrusion in object space</span>
            <span class="comment">// vertex unmodified if w==1, extruded if w==0</span>
            float4 newpos = 
                (wcoord.xxxx * (position + lightPos)) - lightPos;

            oPosition = mul(worldViewProjMatrix, newpos);

        }
        <span class="comment">// Point light shadow volume extrude - FINITE</span>
        <span class="keywordtype">void</span> shadowVolumeExtrudePointLightFinite_vp (
            float4 position         : POSITION,
            <span class="keywordtype">float</span>  wcoord           : TEXCOORD0,

            out float4 oPosition    : POSITION,

            uniform float4x4 worldViewProjMatrix,
            uniform float4   lightPos, <span class="comment">// homogenous, object space</span>
            uniform <span class="keywordtype">float</span>    extrusionDistance <span class="comment">// how far to extrude</span>
            )
        {
            <span class="comment">// extrusion in object space</span>
            <span class="comment">// vertex unmodified if w==1, extruded if w==0</span>
            float3 extrusionDir = position.xyz - lightPos.xyz;
            extrusionDir = normalize(extrusionDir);
            
            float4 newpos = float4(position.xyz +  
                ((1 - wcoord.x) * extrusionDistance * extrusionDir), 1);

            oPosition = mul(worldViewProjMatrix, newpos);

        }

        <span class="comment">// Directional light extrude - FINITE</span>
        <span class="keywordtype">void</span> shadowVolumeExtrudeDirLightFinite_vp (
            float4 position         : POSITION,
            <span class="keywordtype">float</span>  wcoord           : TEXCOORD0,

            out float4 oPosition    : POSITION,

            uniform float4x4 worldViewProjMatrix,
            uniform float4   lightPos, <span class="comment">// homogenous, object space</span>
            uniform <span class="keywordtype">float</span>    extrusionDistance <span class="comment">// how far to extrude</span>
            )
        {
            <span class="comment">// extrusion in object space</span>
            <span class="comment">// vertex unmodified if w==1, extruded if w==0</span>
            <span class="comment">// -ve lightPos is direction</span>
            float4 newpos = float4(position.xyz - 
                (wcoord.x * extrusionDistance * lightPos.xyz), 1);

            oPosition = mul(worldViewProjMatrix, newpos);

        }       
</pre></div> </dd></dl>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00130">130</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="de24fd66aff9052fb19403696f28a623"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::Programs" ref="de24fd66aff9052fb19403696f28a623" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#de24fd66aff9052fb19403696f28a623">Ogre::ShadowVolumeExtrudeProgram::Programs</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="de24fd66aff9052fb19403696f28a623a3e7b73929a3898e4e75d8a6eb53d931"></a><!-- doxytag: member="POINT_LIGHT" ref="de24fd66aff9052fb19403696f28a623a3e7b73929a3898e4e75d8a6eb53d931" args="" -->POINT_LIGHT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="de24fd66aff9052fb19403696f28a623f4d3d45a57d9dfd4eb439e564305d0c5"></a><!-- doxytag: member="POINT_LIGHT_DEBUG" ref="de24fd66aff9052fb19403696f28a623f4d3d45a57d9dfd4eb439e564305d0c5" args="" -->POINT_LIGHT_DEBUG</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="de24fd66aff9052fb19403696f28a623be106ce64f87c499f0f9795d8f179fb4"></a><!-- doxytag: member="DIRECTIONAL_LIGHT" ref="de24fd66aff9052fb19403696f28a623be106ce64f87c499f0f9795d8f179fb4" args="" -->DIRECTIONAL_LIGHT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="de24fd66aff9052fb19403696f28a623b88033d4c3fef76acf231db879dd33a5"></a><!-- doxytag: member="DIRECTIONAL_LIGHT_DEBUG" ref="de24fd66aff9052fb19403696f28a623b88033d4c3fef76acf231db879dd33a5" args="" -->DIRECTIONAL_LIGHT_DEBUG</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="de24fd66aff9052fb19403696f28a623a6524c3c7c49f7f93c684cfa3e9f9843"></a><!-- doxytag: member="POINT_LIGHT_FINITE" ref="de24fd66aff9052fb19403696f28a623a6524c3c7c49f7f93c684cfa3e9f9843" args="" -->POINT_LIGHT_FINITE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="de24fd66aff9052fb19403696f28a6238b6fc01b15aa39d9fb62e07a6673b225"></a><!-- doxytag: member="POINT_LIGHT_FINITE_DEBUG" ref="de24fd66aff9052fb19403696f28a6238b6fc01b15aa39d9fb62e07a6673b225" args="" -->POINT_LIGHT_FINITE_DEBUG</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="de24fd66aff9052fb19403696f28a6232caab40e2442c76f90b6942629ece2a8"></a><!-- doxytag: member="DIRECTIONAL_LIGHT_FINITE" ref="de24fd66aff9052fb19403696f28a6232caab40e2442c76f90b6942629ece2a8" args="" -->DIRECTIONAL_LIGHT_FINITE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="de24fd66aff9052fb19403696f28a6234c4ad12515f7a0d2478e9d1b4713ea88"></a><!-- doxytag: member="DIRECTIONAL_LIGHT_FINITE_DEBUG" ref="de24fd66aff9052fb19403696f28a6234c4ad12515f7a0d2478e9d1b4713ea88" args="" -->DIRECTIONAL_LIGHT_FINITE_DEBUG</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00157">157</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="4ee5e5d594c0cc21e0cff0ab8eb42aa7"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::initialise" ref="4ee5e5d594c0cc21e0cff0ab8eb42aa7" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ShadowVolumeExtrudeProgram::initialise           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Initialise the creation of these vertex programs. 
<p>

</div>
</div><p>
<a class="anchor" name="983865fbfd1570a76fcfb9dfd5dcf985"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::shutdown" ref="983865fbfd1570a76fcfb9dfd5dcf985" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ShadowVolumeExtrudeProgram::shutdown           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Shutdown &amp; destroy the vertex programs. 
<p>

</div>
</div><p>
<a class="anchor" name="53d30e4fc8035c45edcbfeec3d542425"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderArbvp1" ref="53d30e4fc8035c45edcbfeec3d542425" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderArbvp1           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get extruder program source for point lights, compatible with arbvp1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00184">184</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c113d70239242bfee84986a8a9b804cd"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderVs_1_1" ref="c113d70239242bfee84986a8a9b804cd" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderVs_1_1           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get extruder program source for point lights, compatible with vs_1_1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00186">186</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c050f98eb30595ce944e14684abf41e5"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderArbvp1" ref="c050f98eb30595ce944e14684abf41e5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderArbvp1           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get extruder program source for directional lights, compatible with arbvp1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00188">188</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c5e595c3758db6d51170c18c1a07b55f"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderVs_1_1" ref="c5e595c3758db6d51170c18c1a07b55f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderVs_1_1           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get extruder program source for directional lights, compatible with vs_1_1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00190">190</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="08462c312f24ebdcb85b01d9216de81a"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderArbvp1Debug" ref="08462c312f24ebdcb85b01d9216de81a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderArbvp1Debug           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get extruder program source for debug point lights, compatible with arbvp1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00193">193</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8f9515284435138237cb10953343fb16"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderVs_1_1Debug" ref="8f9515284435138237cb10953343fb16" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderVs_1_1Debug           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get extruder program source for debug point lights, compatible with vs_1_1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00195">195</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="588fe455365043a2753f5a1bda5925e6"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderArbvp1Debug" ref="588fe455365043a2753f5a1bda5925e6" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderArbvp1Debug           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get extruder program source for debug directional lights, compatible with arbvp1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00197">197</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c455c2d8ffccf239ab7710b7256e1c34"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderVs_1_1Debug" ref="c455c2d8ffccf239ab7710b7256e1c34" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderVs_1_1Debug           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get extruder program source for debug directional lights, compatible with vs_1_1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00199">199</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3b22127c9818da8528b752fdf60116fc"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getProgramSource" ref="3b22127c9818da8528b752fdf60116fc" args="(Light::LightTypes lightType, const String syntax, bool finite, bool debug)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getProgramSource           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc">Light::LightTypes</a>&nbsp;</td>
          <td class="paramname"> <em>lightType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td>
          <td class="paramname"> <em>syntax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>finite</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>debug</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
General purpose method to get any of the program sources. 
<p>

</div>
</div><p>
<a class="anchor" name="6ae520c51786dd71db12fea75eebe85c"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getProgramName" ref="6ae520c51786dd71db12fea75eebe85c" args="(Light::LightTypes lightType, bool finite, bool debug)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getProgramName           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc">Light::LightTypes</a>&nbsp;</td>
          <td class="paramname"> <em>lightType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>finite</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>debug</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="abfe751eb718a9640c288990b69dc2d9"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderArbvp1Finite" ref="abfe751eb718a9640c288990b69dc2d9" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderArbvp1Finite           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get FINITE extruder program source for point lights, compatible with arbvp1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00211">211</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b49594367aab6c943d4d83d6c64de771"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderVs_1_1Finite" ref="b49594367aab6c943d4d83d6c64de771" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderVs_1_1Finite           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get FINITE extruder program source for point lights, compatible with vs_1_1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00213">213</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="990ce03657ecc3772f87039f61f43b70"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderArbvp1Finite" ref="990ce03657ecc3772f87039f61f43b70" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderArbvp1Finite           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get FINITE extruder program source for directional lights, compatible with arbvp1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00215">215</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0b891cb31debd7097ec72bea940a111c"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderVs_1_1Finite" ref="0b891cb31debd7097ec72bea940a111c" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderVs_1_1Finite           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get FINITE extruder program source for directional lights, compatible with vs_1_1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00217">217</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a0b615596b5e701a0b1392cd1fb94236"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderArbvp1FiniteDebug" ref="a0b615596b5e701a0b1392cd1fb94236" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderArbvp1FiniteDebug           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get FINITE extruder program source for debug point lights, compatible with arbvp1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00220">220</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b90674080062ae986b08cf73e02284f4"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderVs_1_1FiniteDebug" ref="b90674080062ae986b08cf73e02284f4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getPointLightExtruderVs_1_1FiniteDebug           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get extruder program source for debug point lights, compatible with vs_1_1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00222">222</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="933bdc6da08c8c7f604c544a1e15b004"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderArbvp1FiniteDebug" ref="933bdc6da08c8c7f604c544a1e15b004" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderArbvp1FiniteDebug           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get FINITE extruder program source for debug directional lights, compatible with arbvp1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00224">224</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b47b4ba53a32ba5cadefff21c052504a"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderVs_1_1FiniteDebug" ref="b47b4ba53a32ba5cadefff21c052504a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ShadowVolumeExtrudeProgram::getDirectionalLightExtruderVs_1_1FiniteDebug           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get FINITE extruder program source for debug directional lights, compatible with vs_1_1. 
<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00226">226</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="b56197126793da3e040dc150b5fd1e06"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mPointArbvp1" ref="b56197126793da3e040dc150b5fd1e06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b56197126793da3e040dc150b5fd1e06">Ogre::ShadowVolumeExtrudeProgram::mPointArbvp1</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00133">133</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5051dc1085926275064659768aea467b"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mPointVs_1_1" ref="5051dc1085926275064659768aea467b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#5051dc1085926275064659768aea467b">Ogre::ShadowVolumeExtrudeProgram::mPointVs_1_1</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00134">134</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="efc5b5ac5e3255ed2a465cbc905b3195"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mDirArbvp1" ref="efc5b5ac5e3255ed2a465cbc905b3195" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#efc5b5ac5e3255ed2a465cbc905b3195">Ogre::ShadowVolumeExtrudeProgram::mDirArbvp1</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00135">135</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="401d91604ee4e8facae67f0c695f65d6"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mDirVs_1_1" ref="401d91604ee4e8facae67f0c695f65d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#401d91604ee4e8facae67f0c695f65d6">Ogre::ShadowVolumeExtrudeProgram::mDirVs_1_1</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00136">136</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d20b614bd7f8d02b8ce4f7a6d9191110"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mPointArbvp1Debug" ref="d20b614bd7f8d02b8ce4f7a6d9191110" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#d20b614bd7f8d02b8ce4f7a6d9191110">Ogre::ShadowVolumeExtrudeProgram::mPointArbvp1Debug</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00138">138</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1393918d3278e77c93bc97e9787335ab"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mPointVs_1_1Debug" ref="1393918d3278e77c93bc97e9787335ab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#1393918d3278e77c93bc97e9787335ab">Ogre::ShadowVolumeExtrudeProgram::mPointVs_1_1Debug</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00139">139</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d47342225ab750f67c2d5f76ea215cae"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mDirArbvp1Debug" ref="d47342225ab750f67c2d5f76ea215cae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#d47342225ab750f67c2d5f76ea215cae">Ogre::ShadowVolumeExtrudeProgram::mDirArbvp1Debug</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00140">140</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9303cb3afe98547901fdb352989735af"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mDirVs_1_1Debug" ref="9303cb3afe98547901fdb352989735af" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#9303cb3afe98547901fdb352989735af">Ogre::ShadowVolumeExtrudeProgram::mDirVs_1_1Debug</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00141">141</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="94c3eb59aea5b8e4e736f325a71093ea"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mPointArbvp1Finite" ref="94c3eb59aea5b8e4e736f325a71093ea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#94c3eb59aea5b8e4e736f325a71093ea">Ogre::ShadowVolumeExtrudeProgram::mPointArbvp1Finite</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00143">143</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="efebfc24ddff4f30b0edd1e088f395d5"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mPointVs_1_1Finite" ref="efebfc24ddff4f30b0edd1e088f395d5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#efebfc24ddff4f30b0edd1e088f395d5">Ogre::ShadowVolumeExtrudeProgram::mPointVs_1_1Finite</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00144">144</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="107e11989da6a8c7e0ba15e96e954f7e"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mDirArbvp1Finite" ref="107e11989da6a8c7e0ba15e96e954f7e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#107e11989da6a8c7e0ba15e96e954f7e">Ogre::ShadowVolumeExtrudeProgram::mDirArbvp1Finite</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00145">145</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2e47f0ab069147cc872db91a4eeedc13"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mDirVs_1_1Finite" ref="2e47f0ab069147cc872db91a4eeedc13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#2e47f0ab069147cc872db91a4eeedc13">Ogre::ShadowVolumeExtrudeProgram::mDirVs_1_1Finite</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00146">146</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b1838186657204fbed0362c16ac25ec4"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mPointArbvp1FiniteDebug" ref="b1838186657204fbed0362c16ac25ec4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#b1838186657204fbed0362c16ac25ec4">Ogre::ShadowVolumeExtrudeProgram::mPointArbvp1FiniteDebug</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00148">148</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2eb9b8a45929da482315a49b8f0a1453"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mPointVs_1_1FiniteDebug" ref="2eb9b8a45929da482315a49b8f0a1453" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#2eb9b8a45929da482315a49b8f0a1453">Ogre::ShadowVolumeExtrudeProgram::mPointVs_1_1FiniteDebug</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00149">149</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0e442c11f0cce78264e19a4cb1ba16e4"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mDirArbvp1FiniteDebug" ref="0e442c11f0cce78264e19a4cb1ba16e4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#0e442c11f0cce78264e19a4cb1ba16e4">Ogre::ShadowVolumeExtrudeProgram::mDirArbvp1FiniteDebug</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00150">150</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d56bbecfb0db4059254fa8577e9ffc53"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mDirVs_1_1FiniteDebug" ref="d56bbecfb0db4059254fa8577e9ffc53" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#d56bbecfb0db4059254fa8577e9ffc53">Ogre::ShadowVolumeExtrudeProgram::mDirVs_1_1FiniteDebug</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00151">151</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="44f9f4960f34af1c3c458ef0b3722e57"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::mInitialised" ref="44f9f4960f34af1c3c458ef0b3722e57" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#44f9f4960f34af1c3c458ef0b3722e57">Ogre::ShadowVolumeExtrudeProgram::mInitialised</a><code> [static, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00153">153</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cc460f2fd05285222cc1e6b09d72ed66"></a><!-- doxytag: member="Ogre::ShadowVolumeExtrudeProgram::programNames" ref="cc460f2fd05285222cc1e6b09d72ed66" args="[OGRE_NUM_SHADOW_EXTRUDER_PROGRAMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#cc460f2fd05285222cc1e6b09d72ed66">Ogre::ShadowVolumeExtrudeProgram::programNames</a>[OGRE_NUM_SHADOW_EXTRUDER_PROGRAMS]<code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html#l00177">177</a> of file <a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreShadowVolumeExtrudeProgram_8h-source.html">OgreShadowVolumeExtrudeProgram.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:40 2008
</p>
</body>
</html>
